IFAPI_FILE_SEARCH_CTX Struct Reference

`#include <fapi_int.h>`

## Data Fields

enum IFAPI_STATE_FILE_SEARCH | state
char ** | pathlist
size_t | path_idx
size_t | numPaths
char * | current_path

## Detailed Description

The data structure holding internal policy state.

## Field Documentation

## numPaths

size_t numPaths

Number of all objects in data store

## path_idx

size_t path_idx

Index of array of objects to be searched

## pathlist

char** pathlist

The array of all objects in the search path

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h